<?xml version="1.0" encoding="UTF-8"?>
<component id="nuc_expedientes_gdfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>Nuc -- Expedientes</title>
    <rows>100</rows>
    <width>900</width>
    <height>600</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdd_nuc_expedientes</table>
        <id_field>i8_nuc_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field>NO</temp_id_field>
        <select_fields>i8_nuc_id,i8_expediente_id,c3_tipo_generador_id,i8_nis_id,i8_nic_id,c8_cuenta_rct_id,c16_codigo_catastral_id,ts_in,ts_update</select_fields>
        <insert_fields>i8_nuc_id,i8_expediente_id,c3_tipo_generador_id,i8_nis_id,i8_nic_id,c8_cuenta_rct_id,c16_codigo_catastral_id,ts_in</insert_fields>
        <update_fields>i8_nuc_id,i8_expediente_id,c3_tipo_generador_id,i8_nis_id,i8_nic_id,c8_cuenta_rct_id,c16_codigo_catastral_id</update_fields>
        <delete_fields>i8_nuc_id,i8_expediente_id,c3_tipo_generador_id</delete_fields>     
        <needed_fields>i8_nuc_id,i8_expediente_id,c3_tipo_generador_id</needed_fields>
        <order_by>1</order_by>
        <direction>asc</direction>
        <limit>25</limit>
        <offset>0</offset>
        <select_labels id="c3_tipo_generador_id">
            
            <table>sdm_tipo_generadores</table>
            <id_field>c3_tipo_generador_id</id_field>
            <fields>v64_tipo_generador</fields>
            <document_fields>v64_tipo_generador</document_fields>
        </select_labels>
        <select_labels id="null"></select_labels>
        <associations>NO</associations>
    </clase>
    <element id ="null"></element>    
    <grid>
        <columns>i8_expediente_id,v64_tipo_generador,ts_in,ts_update</columns>
        <column id="i8_expediente_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>EXPEDIENTE</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_tipo_generador">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>GENERADOR</header>
                <width>32</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="ts_in">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>INGRESO</header>
                <width>10</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="ts_update">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ACTUALIZACION</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>